Index: ./x11/Xaw-Xpm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Xaw-Xpm/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/Xaw-Xpm/buildlink3.mk	5 Feb 2006 23:11:31 -0000	1.4
+++ ./x11/Xaw-Xpm/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Xaw-Xpm
 
 .if !empty(XAW_XPM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Xaw-Xpm+=	Xaw-Xpm>=1.1
-BUILDLINK_RECOMMENDED.Xaw-Xpm?=	Xaw-Xpm>=1.1nb2
+BUILDLINK_API_DEPENDS.Xaw-Xpm+=	Xaw-Xpm>=1.1
+BUILDLINK_ABI_DEPENDS.Xaw-Xpm?=	Xaw-Xpm>=1.1nb2
 BUILDLINK_PKGSRCDIR.Xaw-Xpm?=	../../x11/Xaw-Xpm
 .endif	# XAW_XPM_BUILDLINK3_MK
 
Index: ./x11/Xaw3d/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Xaw3d/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/Xaw3d/buildlink3.mk	5 Feb 2006 23:11:31 -0000	1.4
+++ ./x11/Xaw3d/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Xaw3d
 
 .if !empty(XAW3D_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Xaw3d+=	Xaw3d>=1.5
-BUILDLINK_RECOMMENDED.Xaw3d?=	Xaw3d>=1.5Enb1
+BUILDLINK_API_DEPENDS.Xaw3d+=	Xaw3d>=1.5
+BUILDLINK_ABI_DEPENDS.Xaw3d?=	Xaw3d>=1.5Enb1
 BUILDLINK_PKGSRCDIR.Xaw3d?=	../../x11/Xaw3d
 .endif	# XAW3D_BUILDLINK3_MK
 
Index: ./x11/Xbae/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Xbae/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/Xbae/buildlink3.mk	5 Feb 2006 23:11:31 -0000	1.3
+++ ./x11/Xbae/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Xbae
 
 .if !empty(XBAE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Xbae+=	Xbae>=4.8.4
-BUILDLINK_RECOMMENDED.Xbae+=	Xbae>=4.51.01nb2
+BUILDLINK_API_DEPENDS.Xbae+=	Xbae>=4.8.4
+BUILDLINK_ABI_DEPENDS.Xbae+=	Xbae>=4.51.01nb2
 BUILDLINK_PKGSRCDIR.Xbae?=	../../x11/Xbae
 .endif	# XBAE_BUILDLINK3_MK
 
Index: ./x11/Xcomposite/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Xcomposite/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./x11/Xcomposite/buildlink3.mk	5 Feb 2006 23:11:31 -0000	1.2
+++ ./x11/Xcomposite/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Xcomposite
 
 .if !empty(XCOMPOSITE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Xcomposite+=		Xcomposite>=1.0.1
-BUILDLINK_RECOMMENDED.Xcomposite?=	Xcomposite>=1.0.1nb2
+BUILDLINK_API_DEPENDS.Xcomposite+=		Xcomposite>=1.0.1
+BUILDLINK_ABI_DEPENDS.Xcomposite?=	Xcomposite>=1.0.1nb2
 BUILDLINK_PKGSRCDIR.Xcomposite?=	../../x11/Xcomposite
 .endif	# XCOMPOSITE_BUILDLINK3_MK
 
Index: ./x11/Xcomposite/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Xcomposite/builtin.mk,v
retrieving revision 1.9
diff -u -r1.9 builtin.mk
--- ./x11/Xcomposite/builtin.mk	3 Jun 2005 19:12:49 -0000	1.9
+++ ./x11/Xcomposite/builtin.mk	4 Apr 2006 06:26:59 -0000
@@ -34,7 +34,7 @@
 .    if defined(BUILTIN_PKG.Xcomposite) && \
         !empty(IS_BUILTIN.Xcomposite:M[yY][eE][sS])
 USE_BUILTIN.Xcomposite=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.Xcomposite}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.Xcomposite}
 .        if !empty(USE_BUILTIN.Xcomposite:M[yY][eE][sS])
 USE_BUILTIN.Xcomposite!=						\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.Xcomposite:Q}; then \
Index: ./x11/Xfixes/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Xfixes/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./x11/Xfixes/buildlink3.mk	5 Feb 2006 23:11:31 -0000	1.6
+++ ./x11/Xfixes/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Xfixes
 
 .if !empty(XFIXES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Xfixes+=	Xfixes>=2.0.0
-BUILDLINK_RECOMMENDED.Xfixes+=	Xfixes>=2.0.1nb2
+BUILDLINK_API_DEPENDS.Xfixes+=	Xfixes>=2.0.0
+BUILDLINK_ABI_DEPENDS.Xfixes+=	Xfixes>=2.0.1nb2
 BUILDLINK_PKGSRCDIR.Xfixes?=	../../x11/Xfixes
 .endif	# XFIXES_BUILDLINK3_MK
 
Index: ./x11/Xfixes/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Xfixes/builtin.mk,v
retrieving revision 1.8
diff -u -r1.8 builtin.mk
--- ./x11/Xfixes/builtin.mk	3 Jun 2005 19:12:49 -0000	1.8
+++ ./x11/Xfixes/builtin.mk	4 Apr 2006 06:26:59 -0000
@@ -33,7 +33,7 @@
 .    if defined(BUILTIN_PKG.Xfixes) && \
         !empty(IS_BUILTIN.Xfixes:M[yY][eE][sS])
 USE_BUILTIN.Xfixes=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.Xfixes}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.Xfixes}
 .        if !empty(USE_BUILTIN.Xfixes:M[yY][eE][sS])
 USE_BUILTIN.Xfixes!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.Xfixes:Q}; then \
Index: ./x11/XmHTML/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/XmHTML/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/XmHTML/buildlink3.mk	5 Feb 2006 23:11:31 -0000	1.3
+++ ./x11/XmHTML/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	XmHTML
 
 .if !empty(XMHTML_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.XmHTML+=	XmHTML>=1.1.7nb2
-BUILDLINK_RECOMMENDED.XmHTML+=	XmHTML>=1.1.7nb5
+BUILDLINK_API_DEPENDS.XmHTML+=	XmHTML>=1.1.7nb2
+BUILDLINK_ABI_DEPENDS.XmHTML+=	XmHTML>=1.1.7nb5
 BUILDLINK_PKGSRCDIR.XmHTML?=	../../x11/XmHTML
 .endif	# XMHTML_BUILDLINK3_MK
 
Index: ./x11/Xrandr/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Xrandr/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- ./x11/Xrandr/Makefile	4 Mar 2006 21:31:07 -0000	1.18
+++ ./x11/Xrandr/Makefile	4 Apr 2006 06:26:59 -0000
@@ -20,8 +20,8 @@
 
 PKGCONFIG_OVERRIDE+=    xrandr.pc.in
 
-BUILDLINK_DEPENDS.Xrender+=	Xrender>=0.8
-BUILDLINK_DEPENDS.randrext+=	randrext>=1.0
+BUILDLINK_API_DEPENDS.Xrender+=	Xrender>=0.8
+BUILDLINK_API_DEPENDS.randrext+=	randrext>=1.0
 
 .include "../../x11/Xrender/buildlink3.mk"
 .include "../../x11/randrext/buildlink3.mk"
Index: ./x11/Xrandr/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Xrandr/buildlink3.mk,v
retrieving revision 1.20
diff -u -r1.20 buildlink3.mk
--- ./x11/Xrandr/buildlink3.mk	5 Feb 2006 23:11:31 -0000	1.20
+++ ./x11/Xrandr/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Xrandr
 
 .if !empty(XRANDR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Xrandr+=	Xrandr>=0.99
-BUILDLINK_RECOMMENDED.Xrandr+=	Xrandr>=1.0.2nb3
+BUILDLINK_API_DEPENDS.Xrandr+=	Xrandr>=0.99
+BUILDLINK_ABI_DEPENDS.Xrandr+=	Xrandr>=1.0.2nb3
 BUILDLINK_PKGSRCDIR.Xrandr?=	../../x11/Xrandr
 .endif	# XRANDR_BUILDLINK3_MK
 
Index: ./x11/Xrandr/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Xrandr/builtin.mk,v
retrieving revision 1.13
diff -u -r1.13 builtin.mk
--- ./x11/Xrandr/builtin.mk	9 Jul 2005 03:14:36 -0000	1.13
+++ ./x11/Xrandr/builtin.mk	4 Apr 2006 06:26:59 -0000
@@ -77,7 +77,7 @@
 .    if defined(BUILTIN_PKG.Xrandr) && \
         !empty(IS_BUILTIN.Xrandr:M[yY][eE][sS])
 USE_BUILTIN.Xrandr=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.Xrandr}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.Xrandr}
 .        if !empty(USE_BUILTIN.Xrandr:M[yY][eE][sS])
 USE_BUILTIN.Xrandr!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.Xrandr:Q}; then	\
@@ -100,8 +100,8 @@
 .if !empty(CHECK_BUILTIN.Xrandr:M[nN][oO])
 
 .  if !empty(USE_BUILTIN.Xrandr:M[nN][oO])
-BUILDLINK_DEPENDS.Xrandr+=	Xrandr>=1.0.1
-BUILDLINK_DEPENDS.Xrender+=	Xrender>=0.8
+BUILDLINK_API_DEPENDS.Xrandr+=	Xrandr>=1.0.1
+BUILDLINK_API_DEPENDS.Xrender+=	Xrender>=0.8
 .  endif
 
 .  if !empty(USE_BUILTIN.Xrandr:M[yY][eE][sS])
Index: ./x11/Xrender/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Xrender/buildlink3.mk,v
retrieving revision 1.36
diff -u -r1.36 buildlink3.mk
--- ./x11/Xrender/buildlink3.mk	5 Feb 2006 23:11:31 -0000	1.36
+++ ./x11/Xrender/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Xrender
 
 .if !empty(XRENDER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Xrender+=	Xrender>=0.2
-BUILDLINK_RECOMMENDED.Xrender+=	Xrender>=0.9.0nb1
+BUILDLINK_API_DEPENDS.Xrender+=	Xrender>=0.2
+BUILDLINK_ABI_DEPENDS.Xrender+=	Xrender>=0.9.0nb1
 BUILDLINK_PKGSRCDIR.Xrender?=	../../x11/Xrender
 .endif	# XRENDER_BUILDLINK3_MK
 
Index: ./x11/Xrender/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Xrender/builtin.mk,v
retrieving revision 1.15
diff -u -r1.15 builtin.mk
--- ./x11/Xrender/builtin.mk	9 Oct 2005 21:30:55 -0000	1.15
+++ ./x11/Xrender/builtin.mk	4 Apr 2006 06:26:59 -0000
@@ -77,7 +77,7 @@
 .    if defined(BUILTIN_PKG.Xrender) && \
         !empty(IS_BUILTIN.Xrender:M[yY][eE][sS])
 USE_BUILTIN.Xrender=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.Xrender}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.Xrender}
 .        if !empty(USE_BUILTIN.Xrender:M[yY][eE][sS])
 USE_BUILTIN.Xrender!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.Xrender:Q}; then \
@@ -100,8 +100,8 @@
 .if !empty(CHECK_BUILTIN.Xrender:M[nN][oO])
 
 .  if !empty(USE_BUILTIN.Xrender:M[nN][oO])
-BUILDLINK_DEPENDS.Xrender+=	Xrender>=0.8.2
-BUILDLINK_DEPENDS.render+=	Xrender>=0.8
+BUILDLINK_API_DEPENDS.Xrender+=	Xrender>=0.8.2
+BUILDLINK_API_DEPENDS.render+=	Xrender>=0.8
 .  endif
 
 .  if !empty(USE_BUILTIN.Xrender:M[yY][eE][sS])
Index: ./x11/blt/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/blt/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./x11/blt/buildlink3.mk	5 Feb 2006 23:11:31 -0000	1.7
+++ ./x11/blt/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	blt
 
 .if !empty(BLT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.blt+=		blt>=2.4z
-BUILDLINK_RECOMMENDED.blt?=	blt>=2.4znb2
+BUILDLINK_API_DEPENDS.blt+=		blt>=2.4z
+BUILDLINK_ABI_DEPENDS.blt?=	blt>=2.4znb2
 BUILDLINK_PKGSRCDIR.blt?=	../../x11/blt
 .endif	# BLT_BUILDLINK3_MK
 
Index: ./x11/compositeext/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/compositeext/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./x11/compositeext/buildlink3.mk	5 Feb 2006 23:11:31 -0000	1.2
+++ ./x11/compositeext/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -12,8 +12,8 @@
 
 .if !empty(COMPOSITEEXT_BUILDLINK3_MK:M+)
 BUILDLINK_PACKAGES+=			compositeext
-BUILDLINK_DEPENDS.compositeext?=	compositeext>=2.0
-BUILDLINK_RECOMMENDED.compositeext?=	compositeext>=2.0nb1
+BUILDLINK_API_DEPENDS.compositeext?=	compositeext>=2.0
+BUILDLINK_ABI_DEPENDS.compositeext?=	compositeext>=2.0nb1
 BUILDLINK_PKGSRCDIR.compositeext?=	../../x11/compositeext
 
 .include "../../x11/fixesext/buildlink3.mk"
Index: ./x11/compositeext/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/compositeext/builtin.mk,v
retrieving revision 1.5
diff -u -r1.5 builtin.mk
--- ./x11/compositeext/builtin.mk	1 Jun 2005 18:03:27 -0000	1.5
+++ ./x11/compositeext/builtin.mk	4 Apr 2006 06:26:59 -0000
@@ -39,7 +39,7 @@
 .    if defined(BUILTIN_PKG.compositeext) && \
         !empty(IS_BUILTIN.compositeext:M[yY][eE][sS])
 USE_BUILTIN.compositeext=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.compositeext}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.compositeext}
 .        if !empty(USE_BUILTIN.compositeext:M[yY][eE][sS])
 USE_BUILTIN.compositeext!=						\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.compositeext:Q}; then \
Index: ./x11/control-center/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/control-center/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/control-center/buildlink3.mk	5 Feb 2006 23:11:32 -0000	1.3
+++ ./x11/control-center/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	control-center
 
 .if !empty(CONTROL_CENTER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.control-center+=	control-center>=1.4.0.4nb9
-BUILDLINK_RECOMMENDED.control-center+=	control-center>=1.4.0.5nb2
+BUILDLINK_API_DEPENDS.control-center+=	control-center>=1.4.0.4nb9
+BUILDLINK_ABI_DEPENDS.control-center+=	control-center>=1.4.0.5nb2
 BUILDLINK_PKGSRCDIR.control-center?=	../../x11/control-center
 .endif	# CONTROL_CENTER_BUILDLINK3_MK
 
Index: ./x11/devilspie/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/devilspie/Makefile,v
retrieving revision 1.23
diff -u -r1.23 Makefile
--- ./x11/devilspie/Makefile	12 Mar 2006 18:23:09 -0000	1.23
+++ ./x11/devilspie/Makefile	4 Apr 2006 06:26:59 -0000
@@ -19,7 +19,7 @@
 	${INSTALL_DATA_DIR} ${PREFIX}/share/doc/devilspie
 	${INSTALL_DATA} ${WRKSRC}/README ${PREFIX}/share/doc/devilspie/
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.9.1
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.9.1
 .include "../../devel/glib2/buildlink3.mk"
 .include "../../devel/libglade2/buildlink3.mk"
 .include "../../devel/popt/buildlink3.mk"
Index: ./x11/efltk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/efltk/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/efltk/buildlink3.mk	5 Feb 2006 23:11:32 -0000	1.4
+++ ./x11/efltk/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	efltk
 
 .if !empty(EFLTK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.efltk+=	efltk>=2.0.5nb1
-BUILDLINK_RECOMMENDED.efltk?=	efltk>=2.0.5nb4
+BUILDLINK_API_DEPENDS.efltk+=	efltk>=2.0.5nb1
+BUILDLINK_ABI_DEPENDS.efltk?=	efltk>=2.0.5nb4
 BUILDLINK_PKGSRCDIR.efltk?=	../../x11/efltk
 .endif	# EFLTK_BUILDLINK3_MK
 
Index: ./x11/fltk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/fltk/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./x11/fltk/buildlink3.mk	5 Feb 2006 23:11:32 -0000	1.11
+++ ./x11/fltk/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	fltk
 
 .if !empty(FLTK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.fltk+=	fltk>=1.1.5rc1
-BUILDLINK_RECOMMENDED.fltk+=	fltk>=1.1.7nb1
+BUILDLINK_API_DEPENDS.fltk+=	fltk>=1.1.5rc1
+BUILDLINK_ABI_DEPENDS.fltk+=	fltk>=1.1.7nb1
 BUILDLINK_PKGSRCDIR.fltk?=	../../x11/fltk
 BUILDLINK_FILES.fltk+=		include/Fl/*
 .endif	# FLTK_BUILDLINK3_MK
Index: ./x11/fixesext/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/fixesext/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/fixesext/buildlink3.mk	5 Feb 2006 23:11:32 -0000	1.3
+++ ./x11/fixesext/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	fixesext
 
 .if !empty(FIXESEXT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.fixesext+=	fixesext>=2.0
-BUILDLINK_RECOMMENDED.fixesext?=	fixesext>=2.0.1nb1
+BUILDLINK_API_DEPENDS.fixesext+=	fixesext>=2.0
+BUILDLINK_ABI_DEPENDS.fixesext?=	fixesext>=2.0.1nb1
 BUILDLINK_PKGSRCDIR.fixesext?=	../../x11/fixesext
 .endif	# FIXESEXT_BUILDLINK3_MK
 
Index: ./x11/fixesext/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/fixesext/builtin.mk,v
retrieving revision 1.4
diff -u -r1.4 builtin.mk
--- ./x11/fixesext/builtin.mk	1 Jun 2005 18:03:28 -0000	1.4
+++ ./x11/fixesext/builtin.mk	4 Apr 2006 06:26:59 -0000
@@ -39,7 +39,7 @@
 .    if defined(BUILTIN_PKG.fixesext) && \
         !empty(IS_BUILTIN.fixesext:M[yY][eE][sS])
 USE_BUILTIN.fixesext=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.fixesext}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.fixesext}
 .        if !empty(USE_BUILTIN.fixesext:M[yY][eE][sS])
 USE_BUILTIN.fixesext!=						\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.fixesext:Q}; then \
Index: ./x11/fox/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/fox/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./x11/fox/buildlink3.mk	5 Feb 2006 23:11:32 -0000	1.9
+++ ./x11/fox/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	fox
 
 .if !empty(FOX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.fox+=		fox>=1.4.16
-BUILDLINK_RECOMMENDED.fox?=	fox>=1.4.17nb1
+BUILDLINK_API_DEPENDS.fox+=		fox>=1.4.16
+BUILDLINK_ABI_DEPENDS.fox?=	fox>=1.4.17nb1
 BUILDLINK_PKGSRCDIR.fox?=	../../x11/fox
 BUILDLINK_INCDIRS.fox?=		include/fox-1.4
 .endif	# FOX_BUILDLINK3_MK
Index: ./x11/gdm/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gdm/Makefile,v
retrieving revision 1.102
diff -u -r1.102 Makefile
--- ./x11/gdm/Makefile	21 Mar 2006 06:00:52 -0000	1.102
+++ ./x11/gdm/Makefile	4 Apr 2006 06:26:59 -0000
@@ -14,7 +14,7 @@
 
 BUILD_USES_MSGFMT=	YES
 
-BUILDLINK_DEPENDS.libart2+=	libart2>=2.3.11
+BUILDLINK_API_DEPENDS.libart2+=	libart2>=2.3.11
 
 SITES_Daemon.README=	${MASTER_SITE_LOCAL}
 SITES_Daemon.png=	${MASTER_SITE_LOCAL}
Index: ./x11/gnome-desktop/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnome-desktop/Makefile,v
retrieving revision 1.50
diff -u -r1.50 Makefile
--- ./x11/gnome-desktop/Makefile	21 Mar 2006 06:00:52 -0000	1.50
+++ ./x11/gnome-desktop/Makefile	4 Apr 2006 06:26:59 -0000
@@ -19,7 +19,7 @@
 USE_TOOLS+=		gmake perl:run pkg-config
 USE_LIBTOOL=		yes
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.8.0
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.8.0
 
 .include "../../devel/glib2/buildlink3.mk"
 .include "../../devel/libgnomeui/buildlink3.mk"
Index: ./x11/gnome-desktop/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnome-desktop/buildlink3.mk,v
retrieving revision 1.15
diff -u -r1.15 buildlink3.mk
--- ./x11/gnome-desktop/buildlink3.mk	6 Mar 2006 00:18:11 -0000	1.15
+++ ./x11/gnome-desktop/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome-desktop
 
 .if !empty(GNOME_DESKTOP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome-desktop+=	gnome-desktop>=2.12.1
-BUILDLINK_RECOMMENDED.gnome-desktop?=	gnome-desktop>=2.12.3
+BUILDLINK_API_DEPENDS.gnome-desktop+=	gnome-desktop>=2.12.1
+BUILDLINK_ABI_DEPENDS.gnome-desktop?=	gnome-desktop>=2.12.3
 BUILDLINK_PKGSRCDIR.gnome-desktop?=	../../x11/gnome-desktop
 .endif	# GNOME_DESKTOP_BUILDLINK3_MK
 
Index: ./x11/gnome-libs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnome-libs/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./x11/gnome-libs/buildlink3.mk	5 Feb 2006 23:11:33 -0000	1.8
+++ ./x11/gnome-libs/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome-libs
 
 .if !empty(GNOME_LIBS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome-libs+=		gnome-libs>=1.4.2nb1
-BUILDLINK_RECOMMENDED.gnome-libs+=	gnome-libs>=1.4.2nb5
+BUILDLINK_API_DEPENDS.gnome-libs+=		gnome-libs>=1.4.2nb1
+BUILDLINK_ABI_DEPENDS.gnome-libs+=	gnome-libs>=1.4.2nb5
 BUILDLINK_PKGSRCDIR.gnome-libs?=	../../x11/gnome-libs
 .endif	# GNOME_LIBS_BUILDLINK3_MK
 
Index: ./x11/gnome-mag/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnome-mag/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./x11/gnome-mag/buildlink3.mk	5 Feb 2006 23:11:33 -0000	1.11
+++ ./x11/gnome-mag/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome-mag
 
 .if !empty(GNOME_MAG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome-mag+=	gnome-mag>=0.12.0
-BUILDLINK_RECOMMENDED.gnome-mag?=	gnome-mag>=0.12.2nb2
+BUILDLINK_API_DEPENDS.gnome-mag+=	gnome-mag>=0.12.0
+BUILDLINK_ABI_DEPENDS.gnome-mag?=	gnome-mag>=0.12.2nb2
 BUILDLINK_PKGSRCDIR.gnome-mag?=	../../x11/gnome-mag
 .endif	# GNOME_MAG_BUILDLINK3_MK
 
Index: ./x11/gnome-panel/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnome-panel/Makefile,v
retrieving revision 1.66
diff -u -r1.66 Makefile
--- ./x11/gnome-panel/Makefile	21 Mar 2006 06:00:52 -0000	1.66
+++ ./x11/gnome-panel/Makefile	4 Apr 2006 06:26:59 -0000
@@ -32,9 +32,9 @@
 GCONF2_SCHEMAS+=	window-list.schemas
 GCONF2_ENTRIES=		panel-default-setup.entries
 
-BUILDLINK_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.10.0
-BUILDLINK_DEPENDS.libglade2+=	libglade2>=2.5.0
-BUILDLINK_DEPENDS.libwnck+=	libwnck>=2.12.1
+BUILDLINK_API_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.10.0
+BUILDLINK_API_DEPENDS.libglade2+=	libglade2>=2.5.0
+BUILDLINK_API_DEPENDS.libwnck+=	libwnck>=2.12.1
 
 .include "../../devel/GConf2/schemas.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"
Index: ./x11/gnome-panel/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnome-panel/buildlink3.mk,v
retrieving revision 1.14
diff -u -r1.14 buildlink3.mk
--- ./x11/gnome-panel/buildlink3.mk	6 Mar 2006 00:18:11 -0000	1.14
+++ ./x11/gnome-panel/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome-panel
 
 .if !empty(GNOME_PANEL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome-panel+=		gnome-panel>=2.12.1nb3
-BUILDLINK_RECOMMENDED.gnome-panel?=	gnome-panel>=2.12.3
+BUILDLINK_API_DEPENDS.gnome-panel+=		gnome-panel>=2.12.1nb3
+BUILDLINK_ABI_DEPENDS.gnome-panel?=	gnome-panel>=2.12.3
 BUILDLINK_PKGSRCDIR.gnome-panel?=	../../x11/gnome-panel
 .endif	# GNOME_PANEL_BUILDLINK3_MK
 
Index: ./x11/gnome-session/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnome-session/Makefile,v
retrieving revision 1.62
diff -u -r1.62 Makefile
--- ./x11/gnome-session/Makefile	21 Mar 2006 06:00:52 -0000	1.62
+++ ./x11/gnome-session/Makefile	4 Apr 2006 06:26:59 -0000
@@ -31,8 +31,8 @@
 
 # Make sure we do not use old packages that rely on XDG_{CONFIG,DATA}_DIRS
 # in the environment being set.
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.6.1
-BUILDLINK_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.8.3nb1
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.6.1
+BUILDLINK_API_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.8.3nb1
 
 .include "../../audio/esound/buildlink3.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"
Index: ./x11/gnome-themes-extras/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnome-themes-extras/Makefile,v
retrieving revision 1.23
diff -u -r1.23 Makefile
--- ./x11/gnome-themes-extras/Makefile	6 Mar 2006 00:18:26 -0000	1.23
+++ ./x11/gnome-themes-extras/Makefile	4 Apr 2006 06:26:59 -0000
@@ -30,7 +30,7 @@
 BUILDLINK_TRANSFORM+=	rm:-DG_DISABLE_DEPRECATED
 BUILDLINK_TRANSFORM+=	rm:-DGTK_DISABLE_DEPRECATED
 
-BUILDLINK_DEPENDS.librsvg2+=	librsvg2>=2.12.6
+BUILDLINK_API_DEPENDS.librsvg2+=	librsvg2>=2.12.6
 
 .include "../../devel/gettext-lib/buildlink3.mk"
 .include "../../devel/libgnomeui/buildlink3.mk"
Index: ./x11/gnome2-applets/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnome2-applets/Makefile,v
retrieving revision 1.60
diff -u -r1.60 Makefile
--- ./x11/gnome2-applets/Makefile	21 Mar 2006 06:00:52 -0000	1.60
+++ ./x11/gnome2-applets/Makefile	4 Apr 2006 06:26:59 -0000
@@ -70,8 +70,8 @@
 # values for keys created during the registration of .schemas files.
 INSTALL_TEMPLATE+=	${PKGDIR}/INSTALL
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.6.0
-BUILDLINK_DEPENDS.libglade2+=	libglade2>=2.4.0
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.6.0
+BUILDLINK_API_DEPENDS.libglade2+=	libglade2>=2.4.0
 
 .include "../../devel/gail/buildlink3.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"
Index: ./x11/gnome2-control-center/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnome2-control-center/Makefile,v
retrieving revision 1.59
diff -u -r1.59 Makefile
--- ./x11/gnome2-control-center/Makefile	21 Mar 2006 06:00:53 -0000	1.59
+++ ./x11/gnome2-control-center/Makefile	4 Apr 2006 06:26:59 -0000
@@ -42,7 +42,7 @@
 CONF_FILES+=		${EGDIR}/font-method.conf \
 			${PKG_SYSCONFDIR}/font-method.conf
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.6.0
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.6.0
 
 .include "../../audio/esound/buildlink3.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"
Index: ./x11/gnome2-control-center/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnome2-control-center/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./x11/gnome2-control-center/buildlink3.mk	5 Feb 2006 23:11:33 -0000	1.12
+++ ./x11/gnome2-control-center/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome2-control-center
 
 .if !empty(GNOME2_CONTROL_CENTER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome2-control-center+=	gnome2-control-center>=2.12.1nb1
-BUILDLINK_RECOMMENDED.gnome2-control-center?=	gnome2-control-center>=2.12.1nb5
+BUILDLINK_API_DEPENDS.gnome2-control-center+=	gnome2-control-center>=2.12.1nb1
+BUILDLINK_ABI_DEPENDS.gnome2-control-center?=	gnome2-control-center>=2.12.1nb5
 BUILDLINK_PKGSRCDIR.gnome2-control-center?=	../../x11/gnome2-control-center
 .endif	# GNOME2_CONTROL_CENTER_BUILDLINK3_MK
 
Index: ./x11/gnome2-terminal/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnome2-terminal/Makefile,v
retrieving revision 1.49
diff -u -r1.49 Makefile
--- ./x11/gnome2-terminal/Makefile	21 Mar 2006 06:00:53 -0000	1.49
+++ ./x11/gnome2-terminal/Makefile	4 Apr 2006 06:26:59 -0000
@@ -25,7 +25,7 @@
 
 GCONF2_SCHEMAS= 	gnome-terminal.schemas
 
-BUILDLINK_DEPENDS.startup-notification+=	startup-notification>=0.8
+BUILDLINK_API_DEPENDS.startup-notification+=	startup-notification>=0.8
 
 .include "../../devel/GConf2/schemas.mk"
 .include "../../devel/libglade2/buildlink3.mk"
Index: ./x11/gnopernicus/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnopernicus/Makefile,v
retrieving revision 1.40
diff -u -r1.40 Makefile
--- ./x11/gnopernicus/Makefile	21 Mar 2006 06:00:53 -0000	1.40
+++ ./x11/gnopernicus/Makefile	4 Apr 2006 06:26:59 -0000
@@ -50,7 +50,7 @@
 GCONF2_SCHEMAS+=	gnopernicus.schemas
 GCONF2_SCHEMAS+=	remote.schemas
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.4.1
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.4.1
 
 .include "../../audio/gnome-speech/buildlink3.mk"
 .include "../../devel/at-spi/buildlink3.mk"
Index: ./x11/gnustep-back/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnustep-back/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./x11/gnustep-back/buildlink3.mk	5 Feb 2006 23:11:33 -0000	1.7
+++ ./x11/gnustep-back/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnustep-back
 
 .if !empty(GNUSTEP_BACK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnustep-back+=	gnustep-back>=0.9.2
-BUILDLINK_RECOMMENDED.gnustep-back+=	gnustep-back>=0.10.2nb2
+BUILDLINK_API_DEPENDS.gnustep-back+=	gnustep-back>=0.9.2
+BUILDLINK_ABI_DEPENDS.gnustep-back+=	gnustep-back>=0.10.2nb2
 BUILDLINK_PKGSRCDIR.gnustep-back?=	../../x11/gnustep-back
 .endif	# GNUSTEP_BACK_BUILDLINK3_MK
 
Index: ./x11/gnustep-gui/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnustep-gui/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./x11/gnustep-gui/buildlink3.mk	5 Feb 2006 23:11:34 -0000	1.7
+++ ./x11/gnustep-gui/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnustep-gui
 
 .if !empty(GNUSTEP_GUI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnustep-gui+=		gnustep-gui>=0.9.2
-BUILDLINK_RECOMMENDED.gnustep-gui+=	gnustep-gui>=0.10.2nb1
+BUILDLINK_API_DEPENDS.gnustep-gui+=		gnustep-gui>=0.9.2
+BUILDLINK_ABI_DEPENDS.gnustep-gui+=	gnustep-gui>=0.10.2nb1
 BUILDLINK_PKGSRCDIR.gnustep-gui?=	../../x11/gnustep-gui
 
 PRINT_PLIST_AWK+=	/^@dirrm share\/GNUstep\/System\/Library\/Bundles\/GSPrinting$$/ { print "@comment in x11/gnustep-gui: " $$0; next; }
Index: ./x11/gnustep-preferences/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gnustep-preferences/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/gnustep-preferences/buildlink3.mk	5 Feb 2006 23:11:34 -0000	1.3
+++ ./x11/gnustep-preferences/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnustep-preferences
 
 .if !empty(GNUSTEP_PREFERENCES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnustep-preferences+=	gnustep-preferences>=1.2.0
-BUILDLINK_RECOMMENDED.gnustep-preferences?=	gnustep-preferences>=1.2.0nb13
+BUILDLINK_API_DEPENDS.gnustep-preferences+=	gnustep-preferences>=1.2.0
+BUILDLINK_ABI_DEPENDS.gnustep-preferences?=	gnustep-preferences>=1.2.0nb13
 BUILDLINK_PKGSRCDIR.gnustep-preferences?=	../../x11/gnustep-preferences
 .endif	# GNUSTEP_PREFERENCES_BUILDLINK3_MK
 
Index: ./x11/gtk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtk/buildlink3.mk,v
retrieving revision 1.13
diff -u -r1.13 buildlink3.mk
--- ./x11/gtk/buildlink3.mk	5 Feb 2006 23:11:34 -0000	1.13
+++ ./x11/gtk/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtk
 
 .if !empty(GTK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtk+=		gtk+>=1.2.10
-BUILDLINK_RECOMMENDED.gtk+=	gtk+>=1.2.10nb9
+BUILDLINK_API_DEPENDS.gtk+=		gtk+>=1.2.10
+BUILDLINK_ABI_DEPENDS.gtk+=	gtk+>=1.2.10nb9
 BUILDLINK_PKGSRCDIR.gtk?=	../../x11/gtk
 .endif	# GTK_BUILDLINK3_MK
 
Index: ./x11/gtk+extra/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtk+extra/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./x11/gtk+extra/buildlink3.mk	5 Feb 2006 23:11:34 -0000	1.2
+++ ./x11/gtk+extra/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtk+extra
 
 .if !empty(GTK+EXTRA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtk+extra+=	gtk+extra>=0.99.17nb2
-BUILDLINK_RECOMMENDED.gtk+extra?=	gtk+extra>=0.99.17nb5
+BUILDLINK_API_DEPENDS.gtk+extra+=	gtk+extra>=0.99.17nb2
+BUILDLINK_ABI_DEPENDS.gtk+extra?=	gtk+extra>=0.99.17nb5
 BUILDLINK_PKGSRCDIR.gtk+extra?=	../../x11/gtk+extra
 .endif	# GTK+EXTRA_BUILDLINK3_MK
 
Index: ./x11/gtk2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtk2/Makefile,v
retrieving revision 1.115
diff -u -r1.115 Makefile
--- ./x11/gtk2/Makefile	21 Mar 2006 06:00:53 -0000	1.115
+++ ./x11/gtk2/Makefile	4 Apr 2006 06:26:59 -0000
@@ -17,9 +17,9 @@
 
 BUILD_USES_MSGFMT=	yes
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.10.1
-BUILDLINK_DEPENDS.pango+=	pango>=1.10.0
-BUILDLINK_DEPENDS.Xft2+=	Xft2>=2.1.2nb2
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.10.1
+BUILDLINK_API_DEPENDS.pango+=	pango>=1.10.0
+BUILDLINK_API_DEPENDS.Xft2+=	Xft2>=2.1.2nb2
 
 USE_DIRS+=		xdg-1.1
 USE_PKGLOCALEDIR=	yes
